# VulnToolkit 


[![AppVeyor Build Status](https://ci.appveyor.com/api/projects/status/github/troyhill/VulnToolkit?branch=master&svg=true)](https://ci.appveyor.com/project/troyhill/VulnToolkit) [![Build Status](https://travis-ci.org/troyhill/VulnToolkit.svg?branch=master)](https://travis-ci.org/troyhill/VulnToolkit) [![codecov.io](https://codecov.io/github/troyhill/VulnToolkit/coverage.svg?branch=master)](https://codecov.io/github/troyhill/VulnToolkit?branch=master)

[![CRAN_Status_Badge](http://www.r-pkg.org/badges/version/VulnToolkit)](https://cran.r-project.org/package=VulnToolkit) 

VulnToolkit is an R package for users working with coastal datasets. Its primary goal is to advance analysis of coastal wetlands and their vulnerability to sea level rise. The package has two emphases: 

* web scrapers, built to make it easy to bring coastal and estuarine data from online databases into R
* analytical tools, to aid analysis of datasets from coastal and estuarine settings



To install and load VulnToolkit, run the following commands in R:

    install.packages("devtools") # if devtools isn't already installed

    devtools::install_github("troyhill/VulnToolkit")

    library(VulnToolkit)


To see examples of VulnToolkit usage, check out the [VulnToolkit wiki](https://github.com/troyhill/VulnToolkit/wiki), the package vignette, and a [poster describing VulnToolkit applications] (https://doi.org/10.6084/m9.figshare.14161202.v1). Email questions, comments, and suggestions to Hill.Troy@gmail.com.
